Bug 482861 - HTS needs some console output clean-up
HTS needs some console output clean-up
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 11:09 EST by Greg Nichols
Modified: 2014-03-25 20:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ====== need of some output clean-up, in cases where diagnostic output appears on the console. Consequence: ============ too much hts output information Fix: ==== report.py patch to check if debugging is off Result: ======= cleaner output
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 12:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
report.py patch to check if debugging is off (3.51 KB, patch)
2009-05-28 13:26 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2009-01-28 11:09:06 EST
Description of problem:

HTS 5.3 is in need of some output clean-up, in cases where diagnostic output
appears on the console.

1) "hts plan" has "/var/hts" on its own line of output.

Version-Release number of selected component (if applicable):

HTS 5.3 R15
Comment 1 Greg Nichols 2009-01-28 11:11:17 EST
(In reply to comment #0)

> 
> 1) "hts plan" has "/var/hts" on its own line of output.
> 

This output appears in other commands, such as "hts print".
Comment 2 Greg Nichols 2009-01-28 11:35:24 EST
2) The "hts submit" command shows debug output without the --debug option set.   This output should only appear if --debug is used.
Comment 3 Greg Nichols 2009-05-28 13:26:23 EDT
Created attachment 345801 [details]
report.py patch to check if debugging is off
Comment 6 Nan Zhang 2009-08-13 05:55:05 EDT
Verified with v7-1.0-14.el5 on RHEL5u4-Server-i386, no issue found.
Comment 9 YangKun 2009-08-21 06:09:27 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:
======
need of some output clean-up, in cases where diagnostic output appears on the console.

Consequence:
============
too much hts output information

Fix:
====
report.py patch to check if debugging is off  

Result:
=======
cleaner output
Comment 10 errata-xmlrpc 2009-08-27 12:34:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1234.html

Note You need to log in before you can comment on or make changes to this bug.